Bug 136843 - java.util.ConcurrentModificationException at java.util.AbstractList$Itr.checkForComodification
java.util.ConcurrentModificationException at java.util.AbstractList$Itr.check...
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Gems
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 16:30 UTC by Erno Mononen
Modified: 2008-07-24 15:46 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.26 KB, text/plain)
2008-06-09 16:30 UTC, Erno Mononen
Details
stacktrace (5.45 KB, text/plain)
2008-07-11 12:27 UTC, Erno Mononen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2008-06-09 16:30:26 UTC
Build: NetBeans IDE Dev (Build 080606)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.5.0_15-b04, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_15-b04
OS: Linux, 2.6.24-18-generic, amd64

User Comments: 
Was looking at installed gems, switched the platform before the process had finished for the initially selected platform.
Comment 1 Erno Mononen 2008-06-09 16:30:32 UTC
Created attachment 62573 [details]
stacktrace
Comment 2 Exceptions Reporter 2008-07-10 18:48:52 UTC
This issue has already 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=63626
Comment 3 Erno Mononen 2008-07-11 12:27:13 UTC
Build: NetBeans IDE Dev (Build 080627)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b14
OS: Linux, 2.6.24-19-generic, amd64

User Comments: 
Comment 4 Erno Mononen 2008-07-11 12:27:22 UTC
Created attachment 64323 [details]
stacktrace
Comment 5 Exceptions Reporter 2008-07-21 06:24:56 UTC
This issue has already 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=63626
Comment 6 Martin Krauskopf 2008-07-23 15:57:29 UTC
Too much dupes -> P2. Will take a look at it.
Comment 7 Martin Krauskopf 2008-07-24 15:45:59 UTC
Fixed: #b97a9e48c57a

Commit message:
- complete overhaul of GemPanel internals.
- a lot of redundancies, which are not needed anymore due to caching
  GemManager, removed.
- fixes race conditions (issue 136843)
- disable all tabs when doing whatever update
- bunch of tweaks here and there
- GemManager#{equals, hashCode, needsReload, getRemoteGems, getInstalledGems} 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo